Emitir certificado
curl --request POST \
--url https://api.cakto.com.br/public_api/members/certificates/{id}/issuances/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"student_email": "jsmith@example.com",
"student_name": "<string>"
}
'import requests
url = "https://api.cakto.com.br/public_api/members/certificates/{id}/issuances/"
payload = {
"student_email": "jsmith@example.com",
"student_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({student_email: 'jsmith@example.com', student_name: '<string>'})
};
fetch('https://api.cakto.com.br/public_api/members/certificates/{id}/issuances/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cakto.com.br/public_api/members/certificates/{id}/issuances/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'student_email' => 'jsmith@example.com',
'student_name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.cakto.com.br/public_api/members/certificates/{id}/issuances/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"student_email\": \"jsmith@example.com\",\n \"student_name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.post("https://api.cakto.com.br/public_api/members/certificates/{id}/issuances/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"student_email\": \"jsmith@example.com\",\n \"student_name\": \"<string>\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.cakto.com.br/public_api/members/certificates/{id}/issuances/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"student_email\": \"jsmith@example.com\",\n \"student_name\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"public_id": "<string>",
"certificate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"certificate_name": "<string>",
"certificate_public_id": "<string>",
"student_name": "<string>",
"student_email": "jsmith@example.com",
"source": "automatic",
"issued_at": "2023-11-07T05:31:56Z"
}Certificados
Emitir certificado
Emite o certificado para o aluno com matrícula ativa nesta área (student_email).
POST
/
public_api
/
members
/
certificates
/
{id}
/
issuances
/
Emitir certificado
curl --request POST \
--url https://api.cakto.com.br/public_api/members/certificates/{id}/issuances/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"student_email": "jsmith@example.com",
"student_name": "<string>"
}
'import requests
url = "https://api.cakto.com.br/public_api/members/certificates/{id}/issuances/"
payload = {
"student_email": "jsmith@example.com",
"student_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({student_email: 'jsmith@example.com', student_name: '<string>'})
};
fetch('https://api.cakto.com.br/public_api/members/certificates/{id}/issuances/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cakto.com.br/public_api/members/certificates/{id}/issuances/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'student_email' => 'jsmith@example.com',
'student_name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.cakto.com.br/public_api/members/certificates/{id}/issuances/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"student_email\": \"jsmith@example.com\",\n \"student_name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.post("https://api.cakto.com.br/public_api/members/certificates/{id}/issuances/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"student_email\": \"jsmith@example.com\",\n \"student_name\": \"<string>\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.cakto.com.br/public_api/members/certificates/{id}/issuances/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"student_email\": \"jsmith@example.com\",\n \"student_name\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"public_id": "<string>",
"certificate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"certificate_name": "<string>",
"certificate_public_id": "<string>",
"student_name": "<string>",
"student_email": "jsmith@example.com",
"source": "automatic",
"issued_at": "2023-11-07T05:31:56Z"
}Escopo
write members
Authorizations
Token de autenticação do tipo Bearer {access_token}, onde {access_token} é o token obtido no fluxo de autenticação.
Body
application/json
Response
Was this page helpful?